Skip to main content
GET
/
api
/
property-definitions
/
List Property Definitions
curl --request GET \
  --url https://api.merchantops.ai/api/property-definitions/
{
  "items": [
    {
      "id": "<string>",
      "key": "<string>",
      "name": "<string>",
      "type": {},
      "aiCanAddANewValue": true,
      "aiMatchingGuidance": "<string>",
      "attributeConstraint": "<string>",
      "category": "<string>",
      "createdAt": "<string>",
      "createdBy": "<string>",
      "description": [
        {}
      ],
      "display_group": "<string>",
      "display_order": 0,
      "enrichment_config": {},
      "inputHint": "<string>",
      "isActive": true,
      "isFacetable": false,
      "isMultiValue": false,
      "isRequired": false,
      "isSearchable": false,
      "isVisibleInStorefront": true,
      "is_common": false,
      "is_entry_field": false,
      "is_system": false,
      "label": [
        {}
      ],
      "lastModifiedAt": "<string>",
      "lastModifiedBy": "<string>",
      "level": "<string>",
      "mustBeAccurateToAssign": false,
      "prompt_name": "<string>",
      "scope": "catalog",
      "ui_widget": "text_input",
      "valueCount": 0,
      "visibility": "list_and_detail"
    }
  ],
  "limit": 123,
  "skip": 123,
  "total": 123
}

Headers

authorization
string | null
X-Organization-ID
string | null

Query Parameters

category
string | null

Filter by category

level
string | null

Filter by level

scope
string | null

Filter by scope: 'catalog' or 'lakehouse'

is_active
boolean
default:true

Filter by active status

display_group
string | null

Filter by display group

is_entry_field
boolean | null

Filter by entry field flag

is_system
boolean | null

Filter by system property flag

is_common
boolean | null

Filter by common property flag

visibility
string | null

Filter by visibility: detail_only, list_and_detail, hidden

limit
integer
default:50
Required range: 1 <= x <= 100
skip
integer
default:0
Required range: x >= 0

Cookies

stytch_session
string | null

Response

Successful Response

Response model for list of PropertyDefinitions.

items
PropertyDefinitionResponse · object[]
required
limit
integer
required
skip
integer
required
total
integer
required